import request from '@/utils/request';
//获取表格数据
export function getdata(params: any) {
    return request({
        url: '/patroltasks/task-todo/getTaskToDoPage',
        method: 'get',
        params: params
    });
}


export function getTaskToDoByDayPage(params: any) {
    return request({
        url: '/patroltasks/task-todo/getTaskToDoByDayPage',
        method: 'get',
        params: params
    });
}



//获取统计信息
export function getTask(params: any) {
    return request({
        url: '/patroltasks/task-todo/getTaskToDoStatPage',
        method: 'get',
        params: params
    });
}
//操作当前巡视任务
export function operate(params: any) {
    return request({
        url: '/patroltasks/task-todo/doCurrentTask',
        method: 'post',
        params: params
    });
}